

var gulp = require('gulp'),
    svgSprite = require('gulp-svg-sprite'),
    svgo = require('gulp-svgo'),
    replace = require('gulp-replace'),
    config = require('../config.js'),
    stylusPath = config.path.styles + '_svg_sprite.styl',
    htmlPath = config.path.svgSprite + '_svg_sprites.html',
    option = {
       mode: {
            css: {
                spacing: {
                    padding: 5
                },
                dest: './',
                sprite: config.path.img + 'sprite',
                bust: false,
                dimensions: true,
                render: {
                    styl: {
                        dest: stylusPath
                    }
                },
                example: {
                    dest: htmlPath
                }
            },
            symbol: true
        }
    };

gulp.task('svgSprite', function(tasks) {
    console.log('svg-sprite');

    gulp.src(config.path.svgSprite + '**/*.svg')
        .pipe(svgo())
        .pipe(svgSprite(option))
        .pipe(gulp.dest('./'));

    gulp.src(stylusPath)
        .pipe(replace('app', ''))
        .pipe(gulp.dest(config.path.styles + '_svg_sprites'));

    return;
});