// responsive images
// grunt-responsive-images: <https://github.com/andismith/grunt-responsive-images>

'use strict';

module.exports = {

    tmp: {
        options: {
            sizes: [
                {
                    name: 's',
                    width: '100%',
                    separator: '_'
                },
                {
                    upscale: true,
                    name: 'm',
                    width: '200%',
                    separator: '_'
                }
            ]
        },
        files: [{
            expand: true,
            cwd: '<%= path.images %>',
            dest: '<%= path.tmpDist %>/img',
            src: [
                // '**/point*.{png,jpg,gif}',
                '!_sprites/*.{png,jpg,gif}',
                '!**/sprites.png'
            ]
        }]
    },

    dist: {
        options: {
            sizes: [
                {
                    name: 's',
                    width: '100%',
                    separator: '_'
                },
                {
                    upscale: true,
                    name: 'm',
                    width: '200%',
                    separator: '_'
                }
            ]
        },
        files: [{
            expand: true,
            cwd: '<%= path.images %>',
            dest: '<%= path.dist %>/img',
            src: [
                // '**/point*.{png,jpg,gif}',
                '!_sprites/*.{png,jpg,gif}',
                '!**/sprites.png'
            ]
        }]
    }

};
