(function($, w) {

    $(function() {

        var $w = $(w),
            $container = $('.js-container'),
            $menu = $('.js-header'),
            $main = $('.js-main'),
            menuPos = $menu.height(),
            topPos,
            scrollPos,
            winH,
            scrollCallback = function() {
                topPos = $main.offset().top;
                scrollPos = $w.scrollTop();
                winH = $w.height();
                if (scrollPos > menuPos && scrollPos < (topPos - winH * 0.2)) {
                    $menu.hide().removeClass('float');
                } else if (scrollPos > (topPos - winH * 0.2)) {
                    $menu.addClass('float').slideDown();
                } else if (scrollPos === 0) {
                    $menu.show().removeClass('float');
                } else {
                    $menu.show().removeClass('float');
                }
            },
            winW = $w.width();

        $.each($('.js-menu-container'), function() {
            var $self = $(this),
                $menuListIcon = $self.find('.js-menu-list-icon'),
                $shareIcon = $self.find('.js-social-link'),
                $overlay = $self.find('.js-menu-overlay');

            $menuListIcon.on('click', function() {
                var $that = $(this);

                if ($that.hasClass('icon-cross')) {
                    $that.removeClass('icon-cross');
                    $self.removeClass('active');
                    $container.removeClass('fixed');
                    $w.on('scroll', scrollCallback).scrollTop(scrollPos);
                } else {
                    $self.addClass('active');
                    $that.addClass('icon-cross');
                    $overlay.width($(w).width()).height($(document).height()).addClass('active');
                    $w.off('scroll');
                    $container.addClass('fixed').css({ top: -scrollPos });
                }
            });

            $shareIcon.on('click', function() {
                $w.off('scroll');
                $container.addClass('fixed').css({ top: -scrollPos });
            });

            $overlay.on('click', function() {
                $self.removeClass('active');
                $menuListIcon.removeClass('icon-cross');
                $('.js-container').removeClass('fixed');
                $w.scrollTop(scrollPos).on('scroll', scrollCallback);
            });

            $w.on('resize', function() {
                var w = $(this).width();

                if (winW !== w) {
                    if ($self.hasClass('active')) {
                        $overlay.trigger('click');
                    } else {

                    }
                    $('#the_champ_popup_bg').trigger('click');
                }

                winW = w;
            });
        });

        $w.on('scroll', scrollCallback);

    });

})(jQuery, window);
