(function ($, w) {
    $(function () {
        var obj,
            firstLoadFlag = true;

        $.SISI = $.SISI || {};

        $.SISI.Slider = function($el, opt) {
            var self = this;

            self.$el = $el.find('.js-slider-container');
            self.$slider = self.$el.find('.js-slider-box');
            self.$prev = ($el.find('.js-slider-prev'))? $el.find('.js-slider-prev') : null;
            self.$next = ($el.find('.js-slider-next'))? $el.find('.js-slider-next') : null;
            self.slider = null;
            self.sliderOpt = $.extend({
                prevSelector: self.$prev,
                nextSelector: self.$next,
                prevText: '',
                nextText: '',
                slideWidth: $(w).width(),
                useCSS: false,
                oneToOneTouch: false
            }, opt);
            self.sliderIdx = 0;
            self.timer = null;
            self.prevW = 0;

            self.setSliderOpt(opt);
            self.onResizeWindow();
        };

        $.SISI.Slider.prototype = {
            setSliderOpt: function(opt) {
                this.sliderOpt = $.extend(this.sliderOpt, opt);
            },
            setCarousel: function() {
                if (!this.slider) {
                    this.slider = this.$slider.bxSlider(this.sliderOpt);
                    this.setControls();
                } else {
                    this.slider.reloadSlider(this.sliderOpt);
                }
            },
            setControls: function() {
                var self = this;

                if (self.$prev) {
                    self.$prev.on('click', function() {
                        self.slider.goToPrevSlide();
                        self.sliderIdx --;
                    });
                }
                if (self.$next) {
                    self.$next.on('click', function() {
                        self.slider.goToNextSlide();
                        self.sliderIdx ++;
                    });
                }
            },
            onResizeWindow: function() {
                var self = this;

                $(w).on('resize load', function() {
                    var winW = $(w).width();

                    if (winW === self.prevW && !firstLoadFlag) { return; }

                    self.prevW = winW;

                    if (self.timer) {
                        clearTimeout(self.timer);
                    }

                    self.timer = setTimeout(function() {
                        self.setSliderOpt({ slideWidth: winW });
                        self.setCarousel();
                        self.sliderIdx = 0;
                        firstLoadFlag = false;
                    }, 500);
                });
            }
        };

        // Create instance
        $.each($('.js-slider-wrapper'), function() {
            var $self = $(this),
                $sliderContainer = $self.find('.js-slider-container'),
                $slider = $self.find('.js-slider-box'),
                $sliderItem;

            obj = new $.SISI.Slider($self, {
                onSliderLoad: function() {
                    $sliderItem = $slider.find('.js-slider');
                    $sliderContainer.addClass('active');
                    $slider.children().removeClass('active');
                    $slider.children().not('.bx-clone').eq(0).addClass('active');
                },
                onSlideAfter: function($el) {
                    $sliderItem.removeClass('active');
                    $el.addClass('active');
                }
            });

        });

    });
}(jQuery, window));
